Saltar al contenido principal
GET
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
operation-routes
Listar Rutas de Operación
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/operation-routes \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
      "organizationId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
      "ledgerId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
      "account": {
        "ruleType": "alias",
        "validIf": [
          "@account1"
        ]
      },
      "code": "EXT-001",
      "description": "This operation route handles cash-in transactions from service charge collections",
      "operationType": "source",
      "title": "Cashin from service charge",
      "metadata": {
        "property1": "string",
        "property2": "string"
      },
      "createdAt": "2021-01-01T00:00:00Z",
      "deletedAt": "2021-01-01T00:00:00Z",
      "updatedAt": "2021-01-01T00:00:00Z",
      "limit": 0,
      "next_cursor": "string",
      "page": {},
      "prev_cursor": "string"
    }
  ]
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene el Access Manager habilitado.

Parámetros de ruta

organization_id
string
requerido

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
requerido

The unique identifier of the associated Ledger.

Parámetros de consulta

limit
string

El número máximo de elementos a incluir en la respuesta.

start_date
string

El inicio del período que desea recuperar. También debe incluir el end_date.

end_date
string

El fin del período que desea recuperar. También debe incluir el start_date.

sort_order
enum<enum>

El orden utilizado para ordenar los resultados.

Opciones disponibles:
asc,
desc
cursor
string

La posición en un conjunto de datos donde debe comenzar la siguiente página de resultados.

metadata.newField
string

The new field that will be included in the research as metadata.

Respuesta

Indica que el recurso fue creado exitosamente y la operación se completó como se esperaba.

items
object[]